From 671ac08399639b36a1055a6961cb8ea40c56b093 Mon Sep 17 00:00:00 2001
From: Till Maas <opensource@till.name>
Date: Sat, 16 May 2009 20:21:04 +0200
Subject: [PATCH] easy update to rpmfusion 11 with new keys

- add F11 key
- rename F10 key
- change key URL to match new format
- add compatibility symlink
---
 RPM-GPG-KEY-rpmfusion-free-fedora            |   31 --------------------------
 RPM-GPG-KEY-rpmfusion-free-fedora-10-primary |   31 ++++++++++++++++++++++++++
 RPM-GPG-KEY-rpmfusion-free-fedora-11-primary |   30 +++++++++++++++++++++++++
 rpmfusion-free-rawhide.repo                  |    6 ++--
 rpmfusion-free-release.spec                  |   23 ++++++++++++++++--
 rpmfusion-free-updates-testing.repo          |    6 ++--
 rpmfusion-free-updates.repo                  |    6 ++--
 rpmfusion-free.repo                          |    6 ++--
 8 files changed, 93 insertions(+), 46 deletions(-)
 delete mode 100644 RPM-GPG-KEY-rpmfusion-free-fedora
 create mode 100644 RPM-GPG-KEY-rpmfusion-free-fedora-10-primary
 create mode 100644 RPM-GPG-KEY-rpmfusion-free-fedora-11-primary

diff --git a/RPM-GPG-KEY-rpmfusion-free-fedora b/RPM-GPG-KEY-rpmfusion-free-fedora
deleted file mode 100644
index 6bf654b..0000000
--- a/RPM-GPG-KEY-rpmfusion-free-fedora
+++ /dev/null
@@ -1,31 +0,0 @@
------BEGIN PGP PUBLIC KEY BLOCK-----
-Version: GnuPG v1.4.5 (GNU/Linux)
-
-mQGiBEh43fsRBADXpQLcyRQu1qFrq0C1T94j+wcLVsYcs3Gsiq82jjM7OCDuFGvw
-FuWX93V1b0X0L/bnO8fseOsVP4N7ok7UHeuFWfyVT64NBk7pSXMCbYldRIJyJ4o+
-KqHgejQEYRCJriJGoFVL53DeXbmlESjytMK1PTZwSX4zKctSUhQaYRmRhwCgufX6
-g23aQ4+FS3RywyinvA23mZ0D/iiF/r3U2jKvBk/FgG/0qTaSFsSoBVdvKI5B/HWA
-UUIkFewI12sdcwBKVXTzLppul6NyElh5KEY4ls7xadMWRyRl4BU8WzrUyMd0yxem
-TqiBjG8s6EO0c2JwebzqBgEmU/nLpkyhEF0xN8trjzhK8lWbAdjnzyzw8xUAF5r0
-uyO9BACj6Hyi/mAwLY+aSj58KBtScf3X8e1NSnZTqDoZlOXnm34/Y23Gfwin/RK5
-omqa2ZshKNl+8UkPH50Y9x7sRmS2MiiFjuzXQdzLCmLGQMjK/HFUm4a2+byEZXOA
-3Pu282Xz5P06/zX+eXTREn1RbBStXVEptWWxLAkqb66Kp4v9OrROUlBNIEZ1c2lv
-biByZXBvc2l0b3J5IChGZWRvcmEgLSBmcmVlKSA8cnBtZnVzaW9uLWJ1aWxkc3lz
-QGxpc3RzLnJwbWZ1c2lvbi5vcmc+iGAEExECACAFAkh43fsCGwMGCwkIBwMCBBUC
-CAMEFgIDAQIeAQIXgAAKCRCFUJmySciIWpd7AJ9LI5/Ae7naPr49NNjQfd1AydJ3
-wQCgtf460zaZZeHdzgr2cCg3vmuAPV+5Ag0ESHjeBRAIAIVouFaPtMhROoskFPhS
-PA/3nzdi1HlmAYOlzulfAoCjjeo9O+gj6ZPJDJPeO/qG8UWyIn9fAvM+y4Jg32Jy
-GWn+lfSHnL+S/ZBJxCgEKl5E2qCGE7nnSyB2HM7aLQzjn58L7JZtlf5EL+Nw/tAC
-dfyzHJglteuGl4rrwa7QdWnhTvtmDA7KRDkYrw9A7zSRoH1qyaQkqOhz4YFXI4c+
-bGAFBPgiIxu5FRSjMBJJHzrlZtTJx6z+oqCZjP5TLPHrqGbatcum9DmN65LvdV4Y
-KMPyMmnTiPRH2YDIC6QleHxPKljol2vxzK2mUvBMr7S0X21i2ImRTXODXMScIZB8
-r+sAAwYH/jN63OsS2aPXy9/Tj7bUwSp163O5FVBUtlqdisKECXU/86XlCVbL7wjb
-Tn4FxQVPoYfNjzFoi89T4FXcKH3lvQ03vhhG2PNAIyudj/j35Q85xKfSkKBdPIUz
-1u5rFMNvCr5cCA3dCFR3bUUykVh1xKvfMluUiZzUZkAQ1Ke/4/GCR9bpwfZDzr3c
-RrTveDG1CLw4qakpIzC9KjAJdWMB/voifU1EhWxzt2R7J27c5zvTGvb746nyZUa+
-3LBmklUdM4xRZcy25nqSSIwgmGx4Iak0fj0+6cMM47TliDeBNfJpSRb3qauuVEk8
-m2gi1GvcJXIxq2jM77w8nIILdjxoxB6ISQQYEQIACQUCSHjeBQIbDAAKCRCFUJmy
-SciIWlHZAKCJyGKXrfd45XI9lP/Jz3GF5RmWrQCfWdHtDXkY3PWz1qFPj7EfXc2b
-pog=
-=zozD
------END PGP PUBLIC KEY BLOCK-----
diff --git a/RPM-GPG-KEY-rpmfusion-free-fedora-10-primary b/RPM-GPG-KEY-rpmfusion-free-fedora-10-primary
new file mode 100644
index 0000000..6bf654b
--- /dev/null
+++ b/RPM-GPG-KEY-rpmfusion-free-fedora-10-primary
@@ -0,0 +1,31 @@
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+Version: GnuPG v1.4.5 (GNU/Linux)
+
+mQGiBEh43fsRBADXpQLcyRQu1qFrq0C1T94j+wcLVsYcs3Gsiq82jjM7OCDuFGvw
+FuWX93V1b0X0L/bnO8fseOsVP4N7ok7UHeuFWfyVT64NBk7pSXMCbYldRIJyJ4o+
+KqHgejQEYRCJriJGoFVL53DeXbmlESjytMK1PTZwSX4zKctSUhQaYRmRhwCgufX6
+g23aQ4+FS3RywyinvA23mZ0D/iiF/r3U2jKvBk/FgG/0qTaSFsSoBVdvKI5B/HWA
+UUIkFewI12sdcwBKVXTzLppul6NyElh5KEY4ls7xadMWRyRl4BU8WzrUyMd0yxem
+TqiBjG8s6EO0c2JwebzqBgEmU/nLpkyhEF0xN8trjzhK8lWbAdjnzyzw8xUAF5r0
+uyO9BACj6Hyi/mAwLY+aSj58KBtScf3X8e1NSnZTqDoZlOXnm34/Y23Gfwin/RK5
+omqa2ZshKNl+8UkPH50Y9x7sRmS2MiiFjuzXQdzLCmLGQMjK/HFUm4a2+byEZXOA
+3Pu282Xz5P06/zX+eXTREn1RbBStXVEptWWxLAkqb66Kp4v9OrROUlBNIEZ1c2lv
+biByZXBvc2l0b3J5IChGZWRvcmEgLSBmcmVlKSA8cnBtZnVzaW9uLWJ1aWxkc3lz
+QGxpc3RzLnJwbWZ1c2lvbi5vcmc+iGAEExECACAFAkh43fsCGwMGCwkIBwMCBBUC
+CAMEFgIDAQIeAQIXgAAKCRCFUJmySciIWpd7AJ9LI5/Ae7naPr49NNjQfd1AydJ3
+wQCgtf460zaZZeHdzgr2cCg3vmuAPV+5Ag0ESHjeBRAIAIVouFaPtMhROoskFPhS
+PA/3nzdi1HlmAYOlzulfAoCjjeo9O+gj6ZPJDJPeO/qG8UWyIn9fAvM+y4Jg32Jy
+GWn+lfSHnL+S/ZBJxCgEKl5E2qCGE7nnSyB2HM7aLQzjn58L7JZtlf5EL+Nw/tAC
+dfyzHJglteuGl4rrwa7QdWnhTvtmDA7KRDkYrw9A7zSRoH1qyaQkqOhz4YFXI4c+
+bGAFBPgiIxu5FRSjMBJJHzrlZtTJx6z+oqCZjP5TLPHrqGbatcum9DmN65LvdV4Y
+KMPyMmnTiPRH2YDIC6QleHxPKljol2vxzK2mUvBMr7S0X21i2ImRTXODXMScIZB8
+r+sAAwYH/jN63OsS2aPXy9/Tj7bUwSp163O5FVBUtlqdisKECXU/86XlCVbL7wjb
+Tn4FxQVPoYfNjzFoi89T4FXcKH3lvQ03vhhG2PNAIyudj/j35Q85xKfSkKBdPIUz
+1u5rFMNvCr5cCA3dCFR3bUUykVh1xKvfMluUiZzUZkAQ1Ke/4/GCR9bpwfZDzr3c
+RrTveDG1CLw4qakpIzC9KjAJdWMB/voifU1EhWxzt2R7J27c5zvTGvb746nyZUa+
+3LBmklUdM4xRZcy25nqSSIwgmGx4Iak0fj0+6cMM47TliDeBNfJpSRb3qauuVEk8
+m2gi1GvcJXIxq2jM77w8nIILdjxoxB6ISQQYEQIACQUCSHjeBQIbDAAKCRCFUJmy
+SciIWlHZAKCJyGKXrfd45XI9lP/Jz3GF5RmWrQCfWdHtDXkY3PWz1qFPj7EfXc2b
+pog=
+=zozD
+-----END PGP PUBLIC KEY BLOCK-----
diff --git a/RPM-GPG-KEY-rpmfusion-free-fedora-11-primary b/RPM-GPG-KEY-rpmfusion-free-fedora-11-primary
new file mode 100644
index 0000000..ce96b76
--- /dev/null
+++ b/RPM-GPG-KEY-rpmfusion-free-fedora-11-primary
@@ -0,0 +1,30 @@
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+Version: GnuPG v1.4.5 (GNU/Linux)
+
+mQINBEnFEAYBEADsku+iiUQ3W0ALjsnq18GwtD6Kg/nKDuCI8LSPDaZVtL3oGF39
+5p+o6ZAlREy8Zfj/YYcbKNj5nFUaFV1orGFvEsagSsEX0A8qAYzh8lDh5JUIUxPR
+nTvELggT7mgL3SGMqP7T/Vvo26CixAIGkzFDwbrLal53abXCL6wjlIP1ese1+gSe
+xUk0IFzY/U0/bb+31z5MClq6JzQ+K7oqxW6QkyO6LayeFGZZL61NIvMW+2edcfMu
+5cpCSUQxs09aH+uQtaBqiwyObqT0DXcRQ/BwSjSxXUdr1Kp9VvwoipYPiV2plff+
+vTHiCHHzoSZNKsE8I/BwJRI8Q8anK6zBZ8TjJG/mV1TsYeE3pBaEgXyobET2Mjcw
+Rjhb910ihLpzuRAE16Ii4Bj22xrfpD0eQs0TpL+pXMGmf1YcKHbcaY5k1Q+jappd
+NOhax326gFiniWbnlVz3/tIF8QfaUCYH2DmAyswiIXO/fytlNSwaHDY7OkqboL72
+lC++EJ93Qd59w2opN+YPUNK9q3rn2bDj+3E2DZt9mI6bqlJSxgWV7MKumPmdegot
+MuEH3NRZacbpMC4h1R3e9ZZ4CDskR+GqQsnOodyI33mhJcPhqTxpXyYoAitc9iaM
+xmmnAi4IISTd4/2HXY0iNKmrVkaDG6tBwiRbOg9xHbbYKYjNHxA9ZA5thwARAQAB
+tFNSUE0gRnVzaW9uIGZyZWUgcmVwb3NpdG9yeSBmb3IgRmVkb3JhICgxMSkgPHJw
+bWZ1c2lvbi1idWlsZHN5c0BsaXN0cy5ycG1mdXNpb24ub3JnPokCNgQTAQIAIAUC
+ScUQBgIbAwYLCQgHAwIEFQIIAwQWAgMBAh4BAheAAAoJEK0nCESPz/Tag9IP/0gI
+LtShHh6bVhJMfFF86apZxjl7p6i+pY0ujO58OnfE4D6an9n2FCAMoJYY19QzerfZ
+e8ofpSkKknES5TY/lZghvOvDTOUstzlpM6mYMpjtj33X/BGL+0lkc6vytPsHoO6S
+lg+PaUJa2VPlR4QQsuRb+HcRJBCvjJXzRXXRFmklKb52uNZ2CcOXmtslTz6FYrRs
+Q6TZmDz6qTQqTLCA8MciTlEos2vnrhh1GuJ1h3bqC5WmIWVLUbqct/LBzuSd+5V9
+o1nnEkouLcBxZLCxf5k7HRSqLNslHmR5oYvwXT5XjC5CVZIHNA6xPQgScrn/e2nx
+ZZ+WHeGvRn8tODLwHMVgynEbhL/bCBJ52Xrm7NoQ2OaZ/ULUOOASyRRnRRNVZsBr
+Z1yqdCuGMAwgf+LgCftbirhRlcoi7iPUgIqzHkXdiZ+fdSVCbDub3U0HN3iXv5Qk
+mfPv+kKZ5fOBgnSdID8sHez39qXcxzvYg8dvR7ahgmBCmHpa/+IWSDjXWlqcsYNe
+sA6N/BWnwuwmUJlkYcr1atgd+XXLXHc5zepouBe9xGLKvme0B/3IxcR+Rgla5S9b
+U9/blnH/G90NSS3vYymN/naasAEs2S6H0QdVv23w9Cabit8XDce4MeJ/GnckIL9l
+RuwD9VHe8TVRZAtyKSc8447E5pbKdPPzF4VHCevl
+=/iY7
+-----END PGP PUBLIC KEY BLOCK-----
diff --git a/rpmfusion-free-rawhide.repo b/rpmfusion-free-rawhide.repo
index 56bda12..ef633b9 100644
--- a/rpmfusion-free-rawhide.repo
+++ b/rpmfusion-free-rawhide.repo
@@ -4,7 +4,7 @@ name=RPM Fusion for Fedora Rawhide - Free
 mirrorlist=http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-rawhide&arch=$basearch
 enabled=0
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora-$releasever-$basearch
 
 [rpmfusion-free-rawhide-debuginfo]
 name=RPM Fusion for Fedora Rawhide - Free - Debug
@@ -12,7 +12,7 @@ name=RPM Fusion for Fedora Rawhide - Free - Debug
 mirrorlist=http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-rawhide-debug&arch=$basearch
 enabled=0
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora-$releasever-$basearch
 
 [rpmfusion-free-rawhide-source]
 name=RPM Fusion for Fedora Rawhide - Free - Source
@@ -20,5 +20,5 @@ name=RPM Fusion for Fedora Rawhide - Free - Source
 mirrorlist=http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-rawhide-source&arch=$basearch
 enabled=0
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora-$releasever-$basearch
 
diff --git a/rpmfusion-free-release.spec b/rpmfusion-free-release.spec
index 1f3abaf..0bd0f2a 100644
--- a/rpmfusion-free-release.spec
+++ b/rpmfusion-free-release.spec
@@ -3,17 +3,18 @@
 
 Name:           rpmfusion-%{repo}-release
 Version:        10
-Release:        1
+Release:        3
 Summary:        RPM Fusion (%{repo}) Repository Configuration
 
 Group:          System Environment/Base
 License:        BSD
 URL:            http://rpmfusion.org
-Source0:        RPM-GPG-KEY-rpmfusion-%{repo}-fedora
+Source0:        RPM-GPG-KEY-rpmfusion-%{repo}-fedora-10-primary
 Source1:        rpmfusion-%{repo}.repo
 Source2:        rpmfusion-%{repo}-updates.repo
 Source3:        rpmfusion-%{repo}-updates-testing.repo
 Source4:        rpmfusion-%{repo}-rawhide.repo
+Source10:        RPM-GPG-KEY-rpmfusion-%{repo}-fedora-11-primary
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 
@@ -69,9 +70,19 @@ install -d -m755 \
   $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
 
 # GPG Key
-%{__install} -Dp -m644 %{SOURCE0} \
+%{__install} -Dp -m644 %{SOURCE0} %{SOURCE10}\
     $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
 
+# compatibility symlink for easy transition to F11
+ln -s $(basename %{SOURCE10}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-%{repo}-fedora
+
+# Links for the keys
+for i in i386 x86_64 ppc ppc64; do
+  ln -s $(basename %{SOURCE0}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-%{repo}-fedora-10-${i}
+  ln -s $(basename %{SOURCE10}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-%{repo}-fedora-11-${i}
+done
+
+
 # Yum .repo files
 %{__install} -p -m644 %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} \
     $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
@@ -85,6 +96,12 @@ rm -rf $RPM_BUILD_ROOT
 %config(noreplace) %{_sysconfdir}/yum.repos.d/*
 
 %changelog
+* Sat May 16 2009 Till Maas <opensource@till.name> - 10-3
+- fix symlinks
+
+* Sat May 16 2009 Till Maas <opensource@till.name> - 10-2
+- allow easy transition to F11 with new gpg key and naming structure
+
 * Sat Nov 15 2008 Thorsten Leemhuis <fedora at leemhuis.info> - 10-1
 - build for F-10
 
diff --git a/rpmfusion-free-updates-testing.repo b/rpmfusion-free-updates-testing.repo
index 679740a..c6c0ee6 100644
--- a/rpmfusion-free-updates-testing.repo
+++ b/rpmfusion-free-updates-testing.repo
@@ -4,7 +4,7 @@ name=RPM Fusion for Fedora $releasever - Free - Test Updates
 mirrorlist=http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-updates-testing-$releasever&arch=$basearch
 enabled=0
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora-$releasever-$basearch
 
 [rpmfusion-free-updates-testing-debuginfo]
 name=RPM Fusion for Fedora $releasever - Free - Test Updates Debug
@@ -12,7 +12,7 @@ name=RPM Fusion for Fedora $releasever - Free - Test Updates Debug
 mirrorlist=http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-updates-testing-debug-$releasever&arch=$basearch
 enabled=0
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora-$releasever-$basearch
 
 [rpmfusion-free-updates-testing-source]
 name=RPM Fusion for Fedora $releasever - Free - Test Updates Source
@@ -20,5 +20,5 @@ name=RPM Fusion for Fedora $releasever - Free - Test Updates Source
 mirrorlist=http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-updates-testing-source-$releasever&arch=$basearch
 enabled=0
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora-$releasever-$basearch
 
diff --git a/rpmfusion-free-updates.repo b/rpmfusion-free-updates.repo
index 303cee7..abf2b77 100644
--- a/rpmfusion-free-updates.repo
+++ b/rpmfusion-free-updates.repo
@@ -4,7 +4,7 @@ name=RPM Fusion for Fedora $releasever - Free - Updates
 mirrorlist=http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-updates-released-$releasever&arch=$basearch
 enabled=1
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora-$releasever-$basearch
 
 [rpmfusion-free-updates-debuginfo]
 name=RPM Fusion for Fedora $releasever - Free - Updates Debug
@@ -12,7 +12,7 @@ name=RPM Fusion for Fedora $releasever - Free - Updates Debug
 mirrorlist=http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-updates-released-debug-$releasever&arch=$basearch
 enabled=0
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora-$releasever-$basearch
 
 [rpmfusion-free-updates-source]
 name=RPM Fusion for Fedora $releasever - Free - Updates Source
@@ -20,5 +20,5 @@ name=RPM Fusion for Fedora $releasever - Free - Updates Source
 mirrorlist=http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-updates-released-source-$releasever&arch=$basearch
 enabled=0
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora-$releasever-$basearch
 
diff --git a/rpmfusion-free.repo b/rpmfusion-free.repo
index 09ace82..b4fc968 100644
--- a/rpmfusion-free.repo
+++ b/rpmfusion-free.repo
@@ -4,7 +4,7 @@ name=RPM Fusion for Fedora $releasever - Free
 mirrorlist=http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-$releasever&arch=$basearch
 enabled=1
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora-$releasever-$basearch
 
 [rpmfusion-free-debuginfo]
 name=RPM Fusion for Fedora $releasever - Free - Debug
@@ -12,7 +12,7 @@ name=RPM Fusion for Fedora $releasever - Free - Debug
 mirrorlist=http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-debug-$releasever&arch=$basearch
 enabled=0
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora-$releasever-$basearch
 
 [rpmfusion-free-source]
 name=RPM Fusion for Fedora $releasever - Free - Source
@@ -20,5 +20,5 @@ name=RPM Fusion for Fedora $releasever - Free - Source
 mirrorlist=http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-source-$releasever&arch=$basearch
 enabled=0
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora-$releasever-$basearch
 
-- 
1.6.0.6

